import { Role } from './role.model';
import { DateAudit } from 'src/modules/common/data/model/audit';
import { StatusName } from '../type/status.type';
import { RoleName } from '../type/role.type';
import { LevelName } from '../type/level.type';
import { GradeName } from '../type/grade.type';

export interface User extends DateAudit {
  id?: number;
  username?: string;

  nickname?: string;
  email?: string;
  block?: boolean;
  refEnable?: boolean;
  ref?: number;
  isAdmin?: boolean;
  sendEmail?: boolean;

  lastResetTime?: Date;
  blockCreatedAt?: Date;
  resetCount?: number;
  otpKey?: string;
  otp?: string;

  phone?: string;
  descriptions?: string;

  roles?: Role[];
  grade?: number;
  status?: StatusName;
  level?: LevelName;
}
